E-MailRelay

Public Member Functions | Public Attributes | List of all members
GSmtp::FilterFactoryBase::Spec Struct Reference

Filter specification tuple for GSmtp::FilterFactoryBase::newFilter(). More...

`#include <gfilterfactorybase.h>`

Collaboration diagram for GSmtp::FilterFactoryBase::Spec:
[legend]

## Public Member Functions
| Spec (std::string_view, std::string_view)
Spec & | operator+= (const Spec &)

## Public Attributes
std::string | first
std::string | second

## Detailed Description

Filter specification tuple for GSmtp::FilterFactoryBase::newFilter().

Definition at line 45 of file gfilterfactorybase.h.

## Constructor & Destructor Documentation

## ◆ Spec()

GSmtp::FilterFactoryBase::Spec::Spec | ( | std::string_view | first_,
|  | std::string_view | second_
| ) |  |

Definition at line 27 of file gfilterfactorybase.cpp.

## Member Function Documentation

## ◆ operator+=()

GSmtp::FilterFactoryBase::Spec & GSmtp::FilterFactoryBase::Spec::operator+= | ( | const Spec & | rhs | ) |

Definition at line 33 of file gfilterfactorybase.cpp.

## Member Data Documentation

## ◆ first

std::string GSmtp::FilterFactoryBase::Spec::first

Definition at line 50 of file gfilterfactorybase.h.

## ◆ second

std::string GSmtp::FilterFactoryBase::Spec::second

Definition at line 51 of file gfilterfactorybase.h.

The documentation for this struct was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gfilterfactorybase.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gfilterfactorybase.cpp